import React from "react";

import ProductDetailsCom from "./ProductDetailsCom";
import SelectInput from "../form/SelectInput";
import ProductSupplierList from "../common/ProductSupplierList";

function Index({ product }) {
  //todo: reformatted Data Structure
  const specificationData =
    product.specifications && product.specifications.length > 0
      ? product.specifications.map((item) => ({
          label: item.key.key,
          value: item.specification,
        }))
      : [];
  return (
    <div className="w-full py-[60px]">
      <div className="w-full relative">
        <div className="xl:w-[300px] w-full  h-full xl:absolute left-0 top-0">
          <div className="relative h-full">
            <div className="w-full relative xl:sticky left-0 top-0 bg-primary-200 rounded-xl  flex-col justify-center items-center pt-5 pb-5 mb-16 xl:mb-0 flex">
              <img
                src={process.env.BASE_URL + product.thumb_image}
                alt="img"
                className="w-full h-[240px] object-contain"
              />
              <p className=" text-2xl font-medium w-full text-center text-white notranslate mt-4">
                {product.category?.name}
              </p>
            </div>
          </div>
        </div>
        <div className="xl:ml-[340px]">
          <ProductDetailsCom title={product.name} details={specificationData} />
          <div className="flex flex-col w-full mt-11 gap-5">
            <ProductSupplierList
              sellers={
                product.seller_list && product.seller_list.length > 0
                  ? product.seller_list
                  : []
              }
            />
          </div>
          {/*<NoDataFound />*/}
        </div>
      </div>
    </div>
  );
}

export default Index;
